using WPMVVMSample1.Model;
using System.Collections.ObjectModel;

namespace WPMVVMSample1.ViewModel
{
    public class MainPageViewModel
    {
        private MainPageModel model = new MainPageModel();

        public ObservableCollection<Customer> Customers
        { 
            get;
            private set;
        }

        public MainPageViewModel()
        {
            Customers = new ObservableCollection<Customer>();
            foreach (var customer in model.LoadCustomers())
            {
                Customers.Add(customer);
            }
        }
    }
}
